> For the complete documentation index, see [llms.txt](https://docs-v3.toucantoco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v3.toucantoco.com/visualizations-and-layouts/creating-visualizations/advanced-chart-configuration/group-informations-in-your-stories.md).

# Group informations in your stories

How to :: group information in your story

### Groups

🚧 WIP 🚧

### Packs

Packs allow you to display elements near one another typically to facilitate comparisons.

*Configuration (inside chartOptions)*

* `packs:` name of the column containing the packs names
* `packNames:` true/false whether or not to display the content of the `packs`column as a title above each pack

*Specific configuration for the heatmap(you have 2 packs available, so you have to be more specific!)*

* `xpack:` name of the column containing the packs names for the rows
* `xPackOrder:` array containing the `xpack` values in the custom order we wish to display them
* `ypack:` name of the column containing the packs names for the columns
* `yPackOrder:` array containing the `ypack` values in the custom order we wish to display them

WARNING: a value, as identified by the ‘label’ parameter (or the x/y parameters for the heatmap) can be mapped to one pack only. If a value is mapped to more than on pack, the chart will choose for you to which pack the value belongs which is probably not what you wish for :)

Packs are available on the below charts, see each chart specific documentation for more details

| chart                        | packs       | packNames    | packOrder             |
| ---------------------------- | ----------- | ------------ | --------------------- |
| bullet-chart                 | packs       | always true  | no                    |
| horizontal-barchart          | packs       | yes          | no                    |
| heatmap                      | xpack/ypack | always false | xPackOrder/yPackOrder |
| leaderboard-centered-average | packs       | always true  | true                  |
| score-card                   | packs       | always true  | no                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs-v3.toucantoco.com/visualizations-and-layouts/creating-visualizations/advanced-chart-configuration/group-informations-in-your-stories.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
